Bug 1277395 - (nette/component-model) Review Request: php-nette-component-model - Nette Component Model
Review Request: php-nette-component-model - Nette Component Model
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: nette/tester nette/utils
Blocks: nette/forms 1277470 nette/nette
  Show dependency treegraph
 
Reported: 2015-11-03 04:00 EST by Remi Collet
Modified: 2015-12-05 16:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-26 15:58:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (4.94 KB, text/plain)
2015-11-15 19:45 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (4.40 KB, text/plain)
2015-11-15 19:45 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.92 KB, text/plain)
2015-11-15 19:46 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-11-03 04:00:08 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/1ba8f1e908fe284aa44e5c5623684ec53ce029d4/php/nette/php-nette-component-model/php-nette-component-model.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-nette-component-model-2.2.4-2.remi.src.rpm
Description:
Components are the foundation of reusable code. They make your work easier
and allow you to profit from community work. Components are wonderful.
Nette Framework introduces several classes and interfaces for all these
types of components.

Object inheritance allows us to have a hierarchic structure of classes like
in real world. We can create new classes by extending. These extended classes
are descendants of the original class and inherit its parameters and methods.
Extended class can add its own parameters and methods to the inherited ones.

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/Nette/ComponentModel/autoload.php';

Fedora Account System Username: remi
Comment 1 Upstream Release Monitoring 2015-11-10 12:00:43 EST
remi's scratch build of php-nette-component-model-2.2.4-2.remi.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11776436
Comment 2 Shawn Iwinski 2015-11-15 19:45 EST
Created attachment 1094674 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST
Comment 3 Shawn Iwinski 2015-11-15 19:45 EST
Created attachment 1094675 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST
Comment 4 Shawn Iwinski 2015-11-15 19:46 EST
Created attachment 1094676 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1277395
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Shawn Iwinski 2015-11-15 19:48:00 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



[x]: Requires correct, justified where necessary.

     Minor fix: "nette/utils": "^2.3.5"
         BuildRequires:  php-composer(%{gh_owner}/utils) >= 2.2
         Requires:       php-composer(%{gh_owner}/utils) >= 2.2

     Memcache?:
         %if 0%{?fedora} > 21
         Suggests:       php-pecl(memcache)
         %endif



No blockers.

===== APPROVED =====
Comment 6 Remi Collet 2015-11-16 00:40:10 EST
Thanks!

New package requested on pkgdb.
Comment 7 Gwyn Ciesla 2015-11-16 09:21:37 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-nette-component-model
Comment 8 Fedora Update System 2015-11-16 11:42:32 EST
php-nette-component-model-2.2.4-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b6513b801d
Comment 9 Fedora Update System 2015-11-16 11:42:37 EST
php-nette-component-model-2.2.4-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-985cff36ac
Comment 10 Fedora Update System 2015-11-16 11:42:38 EST
php-nette-component-model-2.2.4-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-70eedc779a
Comment 11 Fedora Update System 2015-11-17 20:20:35 EST
php-nette-component-model-2.2.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-component-model'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b96c0e7933
Comment 12 Fedora Update System 2015-11-18 11:52:59 EST
php-nette-component-model-2.2.4-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-component-model'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b6513b801d
Comment 13 Fedora Update System 2015-11-18 17:18:58 EST
php-nette-component-model-2.2.4-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-component-model'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-70eedc779a
Comment 14 Fedora Update System 2015-11-18 19:22:48 EST
php-nette-component-model-2.2.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-component-model'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-985cff36ac
Comment 15 Fedora Update System 2015-11-26 15:58:47 EST
php-nette-component-model-2.2.4-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-11-26 22:56:00 EST
php-nette-component-model-2.2.4-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-12-05 15:29:19 EST
php-nette-component-model-2.2.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-12-05 16:41:49 EST
php-nette-component-model-2.2.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.